> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user loyalty card details

> Retrieve Loyalty Card, User details and Loyalty Program configuration for the specified POS system.



## OpenAPI

````yaml /openapi.yaml post /pos/{posSystemId}/loyaltyCard/userCardDetails
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /pos/{posSystemId}/loyaltyCard/userCardDetails:
    post:
      tags:
        - Loyalty Cards
      summary: Get user loyalty card details
      description: >-
        Retrieve Loyalty Card, User details and Loyalty Program configuration
        for the specified POS system.
      operationId: PosLoyaltyCard_GetUserLoyaltyCardDetails
      parameters:
        - name: posSystemId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/LoyaltyCardUserSearchDto'
            example:
              cardId: loy_1037338
              search: sonug3@chetu.com
          application/json:
            schema:
              $ref: '#/components/schemas/LoyaltyCardUserSearchDto'
            example:
              cardId: loy_1037338
              search: sonug3@chetu.com
          text/json:
            schema:
              $ref: '#/components/schemas/LoyaltyCardUserSearchDto'
            example:
              cardId: loy_1037338
              search: sonug3@chetu.com
          application/*+json:
            schema:
              $ref: '#/components/schemas/LoyaltyCardUserSearchDto'
            example:
              cardId: loy_1037338
              search: sonug3@chetu.com
          application/xml:
            schema:
              $ref: '#/components/schemas/LoyaltyCardUserSearchDto'
            example:
              cardId: loy_1037338
              search: sonug3@chetu.com
          text/xml:
            schema:
              $ref: '#/components/schemas/LoyaltyCardUserSearchDto'
            example:
              cardId: loy_1037338
              search: sonug3@chetu.com
          application/*+xml:
            schema:
              $ref: '#/components/schemas/LoyaltyCardUserSearchDto'
            example:
              cardId: loy_1037338
              search: sonug3@chetu.com
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/PosUserLoyaltyCardDetailsGetDtoApiResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PosUserLoyaltyCardDetailsGetDtoApiResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/PosUserLoyaltyCardDetailsGetDtoApiResponse
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/PosUserLoyaltyCardDetailsGetDtoApiResponse
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/PosUserLoyaltyCardDetailsGetDtoApiResponse
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    LoyaltyCardUserSearchDto:
      type: object
      properties:
        cardId:
          type: string
          description: Loyalty card id
          nullable: true
        search:
          type: string
          description: Search keyword
          nullable: true
      additionalProperties: false
      description: Represent search loyalty card and user details
    PosUserLoyaltyCardDetailsGetDtoApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosUserLoyaltyCardDetailsGetDto'
      additionalProperties: false
    PosUserLoyaltyCardDetailsGetDto:
      type: object
      properties:
        loyaltycard:
          $ref: '#/components/schemas/LoyaltyCardGetDto'
        user:
          $ref: '#/components/schemas/LoyaltyCardUserGetDto'
        activeRewards:
          type: array
          items:
            $ref: '#/components/schemas/LoyaltyRewardGetDto'
          description: List of active rewards
          nullable: true
          deprecated: true
        loyaltyProgram:
          $ref: '#/components/schemas/PosLoyaltyCardDetailsLoyaltyProgramGetDto'
      additionalProperties: false
      description: User LoyaltyCard details
    LoyaltyCardGetDto:
      type: object
      properties:
        id:
          type: string
          description: Loyalty card unique identifier
          nullable: true
        code:
          type: string
          description: Loyalty card unique identifier
          nullable: true
        url:
          type: string
          description: Loyalty card url
          nullable: true
        status:
          type: string
          description: Loyalty card status
          nullable: true
        name:
          type: string
          description: Loyalty card Name
          nullable: true
        title:
          type: string
          description: Loyalty card Title
          nullable: true
        description:
          type: string
          description: Loyalty card Description
          nullable: true
        type:
          type: string
          description: Loyalty card Type
          nullable: true
          example: pointcard or stampcard
        amountOfStamps:
          type: integer
          description: Loyalty card amount of Stamps
          format: int32
          nullable: true
        amountOfPoints:
          type: integer
          description: Loyalty card amount of Points
          format: int32
          nullable: true
        frontImage:
          type: string
          description: Loyalty card Front Image
          nullable: true
        logo:
          type: string
          description: Loyalty card Logo
          nullable: true
        locations:
          type: array
          items:
            $ref: '#/components/schemas/ExternalLocationGetDto'
          description: ''
          nullable: true
        loyaltyCardType:
          $ref: '#/components/schemas/LoyaltyCardTypes'
      additionalProperties: false
      description: Represent loyalty card
    LoyaltyCardUserGetDto:
      type: object
      properties:
        id:
          type: string
          description: Loyalty Card User unique identifier
          nullable: true
        firstName:
          type: string
          description: Loyalty Card User first name
          nullable: true
        profilePicture:
          type: string
          description: Loyalty Card User profile image
          nullable: true
        gender:
          type: string
          description: Loyalty Card User gender
          nullable: true
        phone:
          type: string
          description: Loyalty Card User phone number
          nullable: true
        email:
          type: string
          description: Loyalty Card User email
          nullable: true
        stamps:
          type: integer
          description: Loyalty Card User stamps
          format: int32
          nullable: true
        points:
          type: integer
          description: Loyalty Card User points
          format: int32
          nullable: true
        lastName:
          type: string
          description: Loyalty Card User last name
          nullable: true
        uniqueCode:
          type: string
          description: User Uniq code
          nullable: true
        activeRewards:
          type: array
          items:
            $ref: '#/components/schemas/LoyaltyRewardGetDto'
          description: List of active rewards
          nullable: true
      additionalProperties: false
      description: Represent Loyalty Card User
    LoyaltyRewardGetDto:
      type: object
      properties:
        campaign:
          type: string
          description: Campaing id
          nullable: true
        session:
          type: string
          description: Reward session code
          nullable: true
        singleUseUrl:
          type: string
          description: User reward page
          nullable: true
        expirationDate:
          type: string
          description: Reward Expiration Date
          nullable: true
        value:
          type: string
          description: Reward value
          nullable: true
        opened:
          type: boolean
          description: Reward Opened Status
        createdDateUtc:
          type: string
          description: Reward Created Date
          nullable: true
        claimed:
          type: boolean
          description: Reward Claimed Status
        claimDateUtc:
          type: string
          description: Reward Claim Date
          nullable: true
        couponInfo:
          $ref: '#/components/schemas/CouponInfoGetDto'
      additionalProperties: false
    PosLoyaltyCardDetailsLoyaltyProgramGetDto:
      type: object
      properties:
        membership:
          $ref: '#/components/schemas/LoyaltyMembershipConfigurationDto'
      additionalProperties: false
      description: LoyaltyProgram details
    ExternalLocationGetDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        zip:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        hours:
          type: string
          nullable: true
        latitude:
          type: number
          format: double
        longitude:
          type: string
          nullable: true
        online:
          type: integer
          format: int32
        password:
          type: string
          nullable: true
      additionalProperties: false
    LoyaltyCardTypes:
      enum:
        - 1
        - 2
        - 3
        - 4
      type: integer
      format: int32
    CouponInfoGetDto:
      type: object
      properties:
        id:
          type: string
          description: Coupon unique identifier
          nullable: true
        code:
          type: string
          description: Coupon unique identifier
          nullable: true
        url:
          type: string
          description: Coupon url
          nullable: true
        couponImage:
          type: string
          description: Coupon image
          nullable: true
        status:
          type: string
          description: Coupon status
          nullable: true
          example: example | active | archived | template | deleted
        name:
          type: string
          description: Coupon name
          nullable: true
        title:
          type: string
          description: Coupon title
          nullable: true
        subtitle:
          type: string
          description: Coupon subtitle
          nullable: true
        description:
          type: string
          description: Coupon description
          nullable: true
        couponCategoryId:
          type: string
          description: Unique identifier of coupon category
          nullable: true
        couponCategoryName:
          type: string
          description: Coupon category name
          nullable: true
        banner1:
          type: string
          description: Banner
          nullable: true
        banner2:
          type: string
          description: Banner
          nullable: true
        banner3:
          type: string
          description: Banner
          nullable: true
        banner4:
          type: string
          description: Banner
          nullable: true
        banner5:
          type: string
          description: Banner
          nullable: true
        subaccount:
          type: string
          description: Sub-account
          nullable: true
        logoUrl:
          type: string
          description: Coupon Logo url
          nullable: true
        couponTags:
          type: string
          description: Coupon tags
          nullable: true
        expiryDate:
          type: string
          description: Coupon Expiry Date
          nullable: true
        promotion:
          $ref: '#/components/schemas/CouponPromotionDto'
        isSelected:
          type: boolean
          description: IsSelected
          nullable: true
      additionalProperties: false
      description: Represent general coupon information
    LoyaltyMembershipConfigurationDto:
      type: object
      properties:
        cardType:
          $ref: '#/components/schemas/LoyaltyMembershipCardType'
        tierType:
          $ref: '#/components/schemas/LoyaltyMembershipTierType'
        discount:
          type: integer
          description: >-
            Loyalty Membership
            ClearLine.Models.WidgetSettings.LoyaltyMembershipCardType.Discount
            value.
          format: int32
          nullable: true
        cardImageUrl:
          type: string
          description: Membership Card Image URL
          nullable: true
      additionalProperties: false
      description: Loyalty Membership configuration DTO
    CouponPromotionDto:
      type: object
      properties:
        value:
          type: number
          description: Discount value
          format: double
        promotionType:
          $ref: '#/components/schemas/CouponPromotionTypeDto'
      additionalProperties: false
      description: Coupon promotion
    LoyaltyMembershipCardType:
      enum:
        - General
        - Tiered
        - Discount
      type: string
    LoyaltyMembershipTierType:
      enum:
        - Metal
        - Diamond
      type: string
    CouponPromotionTypeDto:
      enum:
        - 1
        - 2
      type: integer
      description: Coupon promotion type
      format: int32
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````